OID reference

moduleModel

1.3.6.1.4.1.1206.4.2.6.1.3.1.4

Description

<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null- string shall be transmitted if this object has no entry. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.1206.4.2.6.1.3.1 (moduleTableEntry, moduleEntry)
Node code
4
Node name
moduleModel
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.1206.4.2.6.1.3.1.4
URN notation
urn:oid:1.3.6.1.4.1.1206.4.2.6.1.3.1.4
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 1206 4 2 6 1 3 1 4}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) globalConfiguration(1) globalModuleTable(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) globalConfiguration(1) globalModuleTable(3) moduleEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) globalConfiguration(1) moduleTable(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) globalConfiguration(1) moduleTable(3) moduleEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) globalConfiguration(1) dmsSignHeight(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) globalConfiguration(1) dmsSignHeight(3) moduleEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) dmsSignCfg(1) globalModuleTable(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) dmsSignCfg(1) globalModuleTable(3) moduleEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) dmsSignCfg(1) moduleTable(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) dmsSignCfg(1) moduleTable(3) moduleEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) dmsSignCfg(1) dmsSignHeight(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) global(6) dmsSignCfg(1) dmsSignHeight(3) moduleEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(6) globalConfiguration(1) globalModuleTable(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(6) globalConfiguration(1) globalModuleTable(3) moduleEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(6) globalConfiguration(1) moduleTable(3) moduleTableEntry(1) moduleModel(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(6) globalConfiguration(1) moduleTable(3) moduleEntry(1) moduleModel(4)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/1206/4/2/6/1/3/1/4
  • /ISO/Identified-Organization/6/1/4/1/1206/4/2/6/1/3/1/4
  • /ISO/3/6/1/4/1/1206/4/2/6/1/3/1/4
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/globalConfiguration/globalModuleTable/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/globalConfiguration/globalModuleTable/moduleEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/globalConfiguration/moduleTable/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/globalConfiguration/moduleTable/moduleEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/globalConfiguration/dmsSignHeight/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/globalConfiguration/dmsSignHeight/moduleEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/dmsSignCfg/globalModuleTable/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/dmsSignCfg/globalModuleTable/moduleEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/dmsSignCfg/moduleTable/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/dmsSignCfg/moduleTable/moduleEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/dmsSignCfg/dmsSignHeight/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/global/dmsSignCfg/dmsSignHeight/moduleEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/dms/globalConfiguration/globalModuleTable/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/dms/globalConfiguration/globalModuleTable/moduleEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/dms/globalConfiguration/moduleTable/moduleTableEntry/moduleModel
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/dms/globalConfiguration/moduleTable/moduleEntry/moduleModel
  • Additional combinations skipped.

SNMP properties

Value type
OCTET STRING
Maximum access defined by MIB
read-only
Status in MIB
mandatory, deprecated

Definitions may combine these properties differently.

Compare 2 source variants

Variant 1 — NTCIP published standard MIB annexes (reviewed modules), ITE public NTCIP working repository MIBs

Value type
OCTET STRING
Maximum access defined by MIB
read-only
Status in MIB
mandatory

Variant 2 — NTCIP published standard MIB annexes (reviewed modules), ITE public NTCIP working repository MIBs

Value type
OCTET STRING
Maximum access defined by MIB
read-only
Status in MIB
deprecated

Using this OID with SNMP

At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.

In NTCIP1201-2004, the row index moduleNumber is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.1206.4.2.6.1.3.1.4.<moduleNumber>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.

snmpwalk [connection options] DEVICE .1.3.6.1.4.1.1206.4.2.6.1.3.1.4

Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Available source records contain 6 distinct definitions; some records may not include a definition.

Show 6 published definitions

moduleModel · mandatory

moduleModel OBJECT-TYPE
    SYNTAX   OCTET STRING
    ACCESS   read-only
    STATUS   mandatory
    DESCRIPTION
       "<Definition>This object specifies the model number (hardware) or
       firmware reference (software) of the associated module. A null-
       string shall be transmitted if this object has no entry.
       <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4"
    ::= { moduleTableEntry 4 }

moduleModel · mandatory

moduleModel  OBJECT-TYPE
SYNTAX	OCTET STRING
ACCESS	read-only
STATUS	mandatory
DESCRIPTION
"<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module.  A null-string shall be transmitted if this object has no entry.
<DescriptiveName>Module.model:text
<DataConceptType>Data Element"
::= { moduleTableEntry 4 }

moduleModel · mandatory

moduleModel OBJECT-TYPE
    SYNTAX   OCTET STRING
    ACCESS   read-only
    STATUS   mandatory
    DESCRIPTION
       "<Definition>This object specifies the model number (hardware) or
       firmware reference (software) of the associated module. A null-
       string shall be transmitted if this object has no entry.
       <DescriptiveName>Module.model:text
      <DataConceptType>Data Element"
   ::= { moduleTableEntry 4 }

moduleModel · unconfirmed

moduleModel OBJECT-TYPE
SYNTAX      OCTET STRING
MAX-ACCESS read-only
STATUS      deprecated
DESCRIPTION
   "<Definition>This object specifies the model number (hardware) or firmware
   reference (software) of the associated module. A null-string shall be
   transmitted if this object has no entry.
  <Supplanted by> ENTITY-MIB.entPhysicalModelName (RFC 6933)
  <Informative> The entPhysicalTable allows (but does not require) an
  implementation to show relationships among components thereby providing



                                                                                         

                 
       

  more meaningful information for devices that need to provide this level of
  detail. It is also defined as a multi-lingual string that will allow
  managers to automatically display the text in the appropriate format.
  <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4"
::= { moduleEntry 4 }

moduleModel · deprecated

moduleModel  OBJECT-TYPE
SYNTAX	      OCTET STRING
MAX-ACCESS	read-only
STATUS	      deprecated
DESCRIPTION
"<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module.  A null-string shall be transmitted if this object has no entry.
<Superseded by> ENTITY-MIB.entPhysicalModelName (RFC 6933)
<Informative> The entPhysicalTable allows (but does not require) an implementation to show relationships among components thereby providing more meaningful information for devices that need to provide this level of detail. It is also defined as a multi-lingual string that will allow managers to automatically display the text in the appropriate format.
<Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4"
::= { moduleEntry 4 }

moduleModel · mandatory

moduleModel OBJECT-TYPE
   SYNTAX OCTET STRING
   ACCESS read-only
   STATUS mandatory
   DESCRIPTION
   "This object specifies the model number (hardware) or firmware reference (software) of the
   associated module. A null-string shall be transmitted if this object has no entry."
   ::= { moduleTableEntry 4 }

Meaning

Descriptions

6 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Description 1

<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null- string shall be transmitted if this object has no entry. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Description 2

<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <DescriptiveName>Module.model:text <DataConceptType>Data Element

Sources for this description

ITE public NTCIP working repository MIBs

See 1 matching source record

Description 3

<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null- string shall be transmitted if this object has no entry. <DescriptiveName>Module.model:text <DataConceptType>Data Element

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Description 4

<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <Supplanted by> ENTITY-MIB.entPhysicalModelName (RFC 6933) <Informative> The entPhysicalTable allows (but does not require) an implementation to show relationships among components thereby providing more meaningful information for devices that need to provide this level of detail. It is also defined as a multi-lingual string that will allow managers to automatically display the text in the appropriate format. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Description 5

<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <Superseded by> ENTITY-MIB.entPhysicalModelName (RFC 6933) <Informative> The entPhysicalTable allows (but does not require) an implementation to show relationships among components thereby providing more meaningful information for devices that need to provide this level of detail. It is also defined as a multi-lingual string that will allow managers to automatically display the text in the appropriate format. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4

Sources for this description

ITE public NTCIP working repository MIBs

See 1 matching source record

Description 6

This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry.

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Evidence

Source records

6 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 1

moduleModel · mandatoryNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: mandatory.

Names: moduleModel

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "moduleModel",
    "OBJECT-TYPE",
    "SYNTAX",
    "OCTET",
    "STRING",
    "ACCESS",
    "read-only",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null- string shall be transmitted if this object has no entry. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4\"",
    "::=",
    "{",
    "moduleTableEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "OCTET STRING"
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null- string shall be transmitted if this object has no entry. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4"
    ],
    null,
    null,
    null,
    null
  ]
}
Records for description 2ITE public NTCIP working repository MIBs1 record · 1 source

Description 2

moduleModel · mandatoryITE public NTCIP working repository MIBs1 source

Status in source: mandatory.

Names: moduleModel

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "moduleModel",
    "OBJECT-TYPE",
    "SYNTAX",
    "OCTET",
    "STRING",
    "ACCESS",
    "read-only",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <DescriptiveName>Module.model:text <DataConceptType>Data Element\"",
    "::=",
    "{",
    "moduleTableEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "OCTET STRING"
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <DescriptiveName>Module.model:text <DataConceptType>Data Element"
    ],
    null,
    null,
    null,
    null
  ]
}
  • ITE public NTCIP working repository MIBs · Publisher's source file: NTCIP-1201 — NTCIP1201-Glo.mib

    Module: NTCIP1201-2004

    See published definition above

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Opaque', 'Counter', 'Gauge', 'null'], 'RFC1213-MIB': ['DisplayString'], 'NTCIP8004-A-2004': ['devices', 'protocols', 'profiles', 'global']}

    Source data warning: This original is published in an ITE NTCIP working repository. Repository publication does not establish that this particular revision is an adopted standard. Consult its native revision history and the NTCIP published standards catalog before implementation. Copyright and distribution notices are retained in the downloadable original.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP imports: the original references NTCIP8004-A-2004, which is absent from the public repository snapshot. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    · Download NTCIP-1201 — NTCIP1201-Glo.mib
Records for description 3NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 3

moduleModel · mandatoryNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: mandatory.

Names: moduleModel

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "moduleModel",
    "OBJECT-TYPE",
    "SYNTAX",
    "OCTET",
    "STRING",
    "ACCESS",
    "read-only",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null- string shall be transmitted if this object has no entry. <DescriptiveName>Module.model:text <DataConceptType>Data Element\"",
    "::=",
    "{",
    "moduleTableEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "OCTET STRING"
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null- string shall be transmitted if this object has no entry. <DescriptiveName>Module.model:text <DataConceptType>Data Element"
    ],
    null,
    null,
    null,
    null
  ]
}
Records for description 4NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 4

moduleModel · unconfirmedNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: unconfirmed.

Names: moduleModel

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "moduleModel",
    "OBJECT-TYPE",
    "SYNTAX",
    "OCTET",
    "STRING",
    "MAX-ACCESS",
    "read-only",
    "STATUS",
    "deprecated",
    "DESCRIPTION",
    "\"<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <Supplanted by> ENTITY-MIB.entPhysicalModelName (RFC 6933) <Informative> The entPhysicalTable allows (but does not require) an implementation to show relationships among components thereby providing more meaningful information for devices that need to provide this level of detail. It is also defined as a multi-lingual string that will allow managers to automatically display the text in the appropriate format. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4\"",
    "::=",
    "{",
    "moduleEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "OCTET STRING"
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "deprecated"
    ],
    [
      "DESCRIPTION",
      "<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <Supplanted by> ENTITY-MIB.entPhysicalModelName (RFC 6933) <Informative> The entPhysicalTable allows (but does not require) an implementation to show relationships among components thereby providing more meaningful information for devices that need to provide this level of detail. It is also defined as a multi-lingual string that will allow managers to automatically display the text in the appropriate format. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4"
    ],
    null,
    null,
    null,
    null
  ]
}
Records for description 5ITE public NTCIP working repository MIBs1 record · 1 source

Description 5

moduleModel · deprecatedITE public NTCIP working repository MIBs1 source

Status in source: deprecated.

Names: moduleModel

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "moduleModel",
    "OBJECT-TYPE",
    "SYNTAX",
    "OCTET",
    "STRING",
    "MAX-ACCESS",
    "read-only",
    "STATUS",
    "deprecated",
    "DESCRIPTION",
    "\"<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <Superseded by> ENTITY-MIB.entPhysicalModelName (RFC 6933) <Informative> The entPhysicalTable allows (but does not require) an implementation to show relationships among components thereby providing more meaningful information for devices that need to provide this level of detail. It is also defined as a multi-lingual string that will allow managers to automatically display the text in the appropriate format. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4\"",
    "::=",
    "{",
    "moduleEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "OCTET STRING"
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "deprecated"
    ],
    [
      "DESCRIPTION",
      "<Definition>This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry. <Superseded by> ENTITY-MIB.entPhysicalModelName (RFC 6933) <Informative> The entPhysicalTable allows (but does not require) an implementation to show relationships among components thereby providing more meaningful information for devices that need to provide this level of detail. It is also defined as a multi-lingual string that will allow managers to automatically display the text in the appropriate format. <Object Identifier> 1.3.6.1.4.1.1206.4.2.6.1.3.1.4"
    ],
    null,
    null,
    null,
    null
  ]
}
Records for description 6NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 6

moduleModel · mandatoryNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: mandatory.

Names: moduleModel

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "moduleModel",
    "OBJECT-TYPE",
    "SYNTAX",
    "OCTET",
    "STRING",
    "ACCESS",
    "read-only",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry.\"",
    "::=",
    "{",
    "moduleTableEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "OCTET STRING"
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "This object specifies the model number (hardware) or firmware reference (software) of the associated module. A null-string shall be transmitted if this object has no entry."
    ],
    null,
    null,
    null,
    null
  ]
}
  • NTCIP published standard MIB annexes (reviewed modules) · Publisher's source file: NTCIP 1201:1996, Global Object Definitions Published December 2001 (superceded by NTCIP 1201 v02) — original PDF · Official record

    Module: GLOBAL

    See published definition above

    Source data warning: Recovered from a file whose complete MIB does not parse. The original assignment and definition are preserved. Registration and implementation details may be inaccurate; consult the original file. Other damaged or unresolved declarations are not established registrations.

    Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.

    Source data warning: A typographic closing DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.

    Source data warning: A typographic closing quotation mark terminates a DESCRIPTION in this PDF. Normalize that delimiter only in the derived MIB transcription; preserve the literal published definition and unmodified PDF. No numeric assignment changes.

    Source data warning: A typographic opening DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.

    Source data warning: The GLOBAL moduleMake/moduleVersion assignment closes its explicitly opened brace with a parenthesis. Normalize only that delimiter in the derived parsing copy; retain the original definition and unchanged numeric expression.

    Source data warning: The historical GLOBAL security grouping explicitly prints the parent global and suffix 5 but omits assignment braces. Reuse two adjacent whitespace bytes for those braces in the parsing copy; retain the original expression and qualify this syntactic interpretation. No numeric arc is invented or replaced.

    Source data warning: Unconfirmed historical GLOBAL parent interpretation: the assignment names EventLogConfigTable, while its native table or entry declaration uses eventLogConfigTable. Interpret only this byte-pinned reference using that explicit local declaration. All numeric suffixes and the original published definition remain unchanged; verify the original before implementation.

    Source data warning: Unconfirmed historical GLOBAL parent interpretation: the assignment names EventLogEntry, while its native table or entry declaration uses eventLogEntry. Interpret only this byte-pinned reference using that explicit local declaration. All numeric suffixes and the original published definition remain unchanged; verify the original before implementation.

    Source data warning: Unconfirmed historical GLOBAL parent interpretation: the assignment names globalmoduleTable, while its native table or entry declaration uses globalModuleTable. Interpret only this byte-pinned reference using that explicit local declaration. All numeric suffixes and the original published definition remain unchanged; verify the original before implementation.

    Source data warning: Unconfirmed historical GLOBAL parent interpretation: the assignment names moduleTableEntry, while its native table or entry declaration uses moduleEntry. Interpret only this byte-pinned reference using that explicit local declaration. All numeric suffixes and the original published definition remain unchanged; verify the original before implementation.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: missing or unreadable imports of devices, profiles. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    · Download NTCIP1201v0110b.pdf — GLOBAL (MIB transcription)

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.1206)

Schopp Bruce J.

Siblings (5)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.1206.4.2.6.1.3.1.1 moduleNumber00
1.3.6.1.4.1.1206.4.2.6.1.3.1.2 moduleDeviceNode00
1.3.6.1.4.1.1206.4.2.6.1.3.1.3 moduleMake00
1.3.6.1.4.1.1206.4.2.6.1.3.1.5 moduleVersion00
1.3.6.1.4.1.1206.4.2.6.1.3.1.6 moduleType00